<div class="modal-header">
  <h5 class="modal-title">Anmeldung</h5>
  <button type="button" class="close" aria-label="Close" (click)="bsModalRef.hide()">
    <span aria-hidden="true">&times;</span>
  </button>
</div>
<div class="modal-body">
  <form *ngIf="announcement && subject" #f="ngForm">
    <div class="form-group" *ngIf="(mode == 'announce' || announcement.status) && subject.enableInformation && subject.eatingHabits">
      <label for="eatingHabitsInput" class="required">Essgewohnheiten</label>
      <select class="custom-select"
              [(ngModel)]="announcement.eatingHabits"
              name="eatingHabitsInput"
              id="eatingHabitsInput" [required]="subject.enableInformation && subject.eatingHabits">
        <option value="" selected>Bitte auswählen</option>
        <option value="none">keine Einschränkungen</option>
        <option value="vegetarian">Ich esse vegetarisch</option>
        <option value="vegan">Ich esse vegan</option>
      </select>
    </div>
    <div class="form-group" *ngIf="(mode == 'announce' || announcement.status) && subject.enableInformation && subject.allergy">
      <label for="allergyInput">Allergien / Unverträglichkeiten</label>
      <input id="allergyInput" class="form-control" type="text"
             #allergy="ngModel" [(ngModel)]="announcement.allergy"
             name="allergyInput" placeholder="z.B. Lactoseintoleranz"
             >
      <app-show-form-errors [control]="allergy"></app-show-form-errors>
    </div>
    <div class="form-group" *ngIf="(mode == 'announce' || announcement.status) && subject.enableInformation && subject.roomWish">
      <label for="roomWischInput" class="required">Zimmerwunsch</label>
      <select class="custom-select"
              [(ngModel)]="announcement.roomWish"
              name="roomWischInput"
              id="roomWischInput" [required]="subject.enableInformation && subject.roomWish">
        <option value="" selected>Bitte auswählen</option>
        <option value="none">Mir egal</option>
        <option value="singleRoom">Ich möchte ein Einzelzimmer</option>
        <option value="doubleRoom">Ich möchte ein Doppelzimmer</option>
        <option value="moreBeddedRoom">Ich möchte ein Mehrbettzimmer</option>
      </select>
    </div>
    <div class="form-group">
      <label for="commentInput">Kommentar</label>
      <input class="form-control" type="text" id="commentInput"
             name="commentInput" [(ngModel)]="announcement.comment"
             #comment=ngModel>
      <app-show-form-errors [control]="comment"></app-show-form-errors>

    </div>
  </form>
</div>
<div class="modal-footer">
  <button type="button" class="btn btn-secondary" (click)="bsModalRef.hide()">Schließen</button>
  <button type="button" class="btn btn-success" (click)="announce()" *ngIf="mode == 'announce'"><i class="fas fa-check"></i> Anmelden </button>
  <button type="button" class="btn btn-success" (click)="announce()" *ngIf="mode == 'edit'"><i class="fas fa-save"></i> Speichern </button>
</div>